Sign in to follow this  
Flyfox

Update to Latest Version Impossible

Recommended Posts

I recently purchased Aerofly FS 2 to complement my current flight sims FSX-SE and P3DV4. It‘s the DVD version on 6 DVDs . After successful installation and activation I tried to run the latest updater. But immediately after choosing ghe language I get the error message: Aerofly FS 2 could not be located on this computer. Please reinstall the DVD version.

I contacted the Aerofly support and got some advice which unfortunately did not help. I uninstalled and reinstalled the program twice according to their instructions to make sure there was no user error. But to no avail. I never faced any similar problem with any of my flightsim installations. Even Orbx Central found the presence of the Aerofly FS 2! So, I ended up with removing this sim from my computer completely and stick to the proven products from MS/Steam and Lockheed Martin.

Has anybody here in this forum had the same problem and possibly has a solution?

Share this post


Link to post
Share on other sites

I think you must run and play the game at least once...

Where did you purchase the game, and what is the updater version number? https://www.aerofly.com/support/downloads/

Share this post


Link to post
Share on other sites
15 hours ago, HiFlyer said:

I think you must run and play the game at least once...

Where did you purchase the game, and what is the updater version number? https://www.aerofly.com/support/downloads/

Of course, I did! I made a few flights before I tried to update.

I tried to install Aerofly FS 2 Update Version 2.04.07.29 from Aerofly‘s website. This seems to be the latest one and there is no hint that I would need another intermediate update.

Share this post


Link to post
Share on other sites

Where did you purchase it? It could be that you need an update specific to your version, like from Aerosoft or from Simmarket, or wherever

It can be confusing, because Aerosoft, for instance, hides its version of the update in a very un-intuitive location. 

https://www.aerosoft.com/en/flight-simulation/news/aerofly-fs-2-update-2.04.07.15

https://support.aerosoft.com/pages/login

And there also might be an update specific to a particular store.

Share this post


Link to post
Share on other sites
Posted (edited)

I purchased the DVD version from a webshop in Switzerland.

Hmmm, the update on Aerofly‘s website is, according to the given info, suitable for the DVD version. But your link leads to an Aerosoft info about an older update version V2.04.07.15. I had to register the product at Aerosoft in order to get access to that version. Do I possibly have to install that older update prior to the latest from Aerofly directly? If so, the whole updating of this simulator is not intuitive ...

Edited by Flyfox

Share this post


Link to post
Share on other sites

Bingo, HiFlier, your link to Aerosoft was the solution! No update to the latest version without the intermediate update I mentioned above. The information on Aerofly‘s website regarding the update is incorrect. There is no hint to the required update path.

Thanks very much. Do you work for Aerofly and/or Aerosoft?

  • Like 1

Share this post


Link to post
Share on other sites
On 8/15/2019 at 5:59 PM, Flyfox said:

Bingo, HiFlier, your link to Aerosoft was the solution! No update to the latest version without the intermediate update I mentioned above. The information on Aerofly‘s website regarding the update is incorrect. There is no hint to the required update path.

Thanks very much. Do you work for Aerofly and/or Aerosoft?

Sorry I did not get back to you, I was in the hospital for a week!

Nope, I don't work for either company though I keep good track of both.

Glad to be of help!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this